Meta Data Edit Entity Form

Last update: September 10, 2026
•
1 min to read

Retrieve form metadata and existing values for editing an entity. This endpoint returns the form structure along with the current values for an existing entity, enabling the edit form to be rendered.

HTTP Method

POST

Endpoint

/api/engine/forms/run

Request URL

{Base URL}/api/engine/forms/run

Request Body

{
  "EntityName": "Domain",
  "EntityIDList": [1],
  "Type": "Edit"
}

Parameters

Param NameData TypeDescription
EntityNameStringName of the entity type (for example, Investigation, Domain).
EntityIDListIntegerEntity ID(s) to retrieve for editing (for example, [1]).
TypeStringForm type. Use Edit to load the edit form.

Curl Example

Multi-line format (for readability)

curl --header "Accept-Language: en" \
     --http1.1 \
     --insecure \
     --verbose \
     --ntlm \
     --user "device-name1\jdoe:P@ssw0rd" \
     -X POST \
     "https://hubstreamproduction.hubstreamonline.com/api/engine/forms/run" \
     -H "Content-Type: application/json" \
     -d '{
       "EntityName": "Domain",
       "EntityIDList": [1],
       "Type": "Edit"
     }'

Single-line format (for terminal use)

curl --header "Accept-Language: en" --http1.1 --insecure --verbose --ntlm --user "device-name1\jdoe:P@ssw0rd" -X POST "https://hubstreamproduction.hubstreamonline.com/api/engine/forms/run" -H "Content-Type: application/json" -d "{\"EntityName\":\"Domain\",\"EntityIDList\":[1],\"Type\":\"Edit\"}"

Responses

Status code 2XX indicates a successful request and response.

200 OK

Description: Operation succeeded.

Response JSON:

The response includes:

  • Field definitions (for example, Title, Status)
  • Field types (for example, TextBox, Dropdown)
  • Existing values for the specified entity